const initialState = {
    bankPayments: []
}

const state = {
    bankPayments: initialState.bankPayments
}

const getters = {
    /**
     * [bankPayments description]
     */
    bankPayments (state) {
        return state.bankPayments
    }
}

const mutations = {
    /**
     * [bankPayments description]
     */
    setBankPayments (state, payload) {
        state.bankPayments = payload
    }
}

const actions = {
    /**
     * [INIT_PAYMENTS_BANK_PAYMENTS]
     */
    initPaymentsBankPayments ({ commit }, payload) {
        commit('setBankPayments', payload)
    },
    /**
     * resetBankPayments
     */
    resetBankPayments ({commit}) {
        commit('setBankPayments', [])
    }
}

export default {
    state,
    getters,
    mutations,
    actions
}
