const initialState = {
    bankType: []
}

const state = {
    bankType:  initialState.bankType
}

const getters = {
    /**
     * [bankType description]
     */
    bankType(state){
        return state.bankType
    }
}

const mutations = {
    /**
     * [bankType description]
     */
    setBankType (state, payload) {
        state.bankType = payload
    }
}

const actions = {
    /**
     *  [INIT_PAYMENTS_BANK_TYPE]
     *  @type {[type]}
     */
    initPaymentsBankType ({ commit }, payload ) {
        commit('setBankType', payload)
    },
    /**
     * [RESET_BANK_TYPE]
     */
    resetBankType ({ commit }, payload) {
        commit('setBankType', [])
    }
}

export default {
    state,
    getters,
    mutations,
    actions
}
