import Vue from 'vue'
import Vuex from 'vuex'

import PaymentStore from '@/store/PaymentsStore'

/* date*/
import date from '@/store/modules/date'
/* user - company*/
import user from '@/store/modules/user'
import company  from '@/store/modules/company'
/*Customre - invoices moveLine */
import customers from '@/store/modules/customers'
import invoices from '@/store/modules/invoices'
import moveLines from '@/store/modules/moveLines'
/* jounarl*/
import journals from '@/store/modules/journals'
/* currency */
import currency  from '@/store/modules/currency'

import payments  from '@/store/modules/payments'
/* BANK*/
import bank from '@/store/modules/bank'
import bankType  from '@/store/modules/bankType'
import bankPayments  from '@/store/modules/bankPayments'

Vue.use(Vuex)

const store = new Vuex.Store({
    ...PaymentStore,
    modules: {
        date,
        user,
        company,
        customers,
        invoices,
        moveLines,
        journals,
        currency,
        payments,
        bank,
        bankType,
        bankPayments
    },
    strict: true
})

export default store
