const initialState = {
    bank: []
}

const state = {
    bank : initialState.bank
}

const getters = {
    /**
     * [bank description]
     * @param  {[type]} state [description]
     * @return {[type]}       [description]
     */
    bank(state) {
        return state.bank
    }
}

const mutations = {
    /**
     * [bank description]
     * @type {[type]}
     */
    setBank (state, payload) {
        state.bank = payload
    }
}

const actions = {
    /**
     * [INIT_PAYMENTS_BANK]
     *
     */
    initPaymentsBank ({ commit }, payload) {
        commit('setBank', payload)
    },
    /**
     * [RESET_BANK]
     */
    resetBank ({ commit }, payload) {
        commit('setBank', [])
    }
}

export default {
    state,
    getters,
    mutations,
    actions
}
